CALL US: 1-888-211-2288 Questions? Call: 1-888-211-2288

GeoVision v8.5 "Incompatible with your location" Patch

GeoVision
Back to GeoVision Support | Support Home

Note: This patch is applicable to GV-600B/650B/800B only. v8.5 Multicam is required before applying this patch.
Problem: "Incompatible with your location" error for GV600B/650B/800B cards

Patch Installation Procedure
  1. Close Multicam and any running GeoVision application.
  2. Unzip and extract the zip file in the attachment below.
  3. Copy and overwrite contents inside GVxxx folder into C:/GVxxx folder on the DVR. (i.e. C:/GV800B)
Attachments
GVT68Series.zip